<?php 
/**
* The template for displaying footer
*
* @package ThemeXL
* @subpackage page-speed-seo
* @since 1.0.0
* @version 1.0.0
*/

?>
<!-- footer -->
    <footer>
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="row">
                        <div class="col-md-3 col-sm-6 col-xs-12">
                            <?php 
                                if( is_active_sidebar( 'psseo-footer-widgets-1' ) ) {
                                   dynamic_sidebar( 'psseo-footer-widgets-1' ); 
                                } 
                            ?>
                        </div>
                        <div class="col-md-3 col-sm-6 col-xs-12">
                            <?php 
                                if( is_active_sidebar( 'psseo-footer-widgets-2' ) ) {
                                   dynamic_sidebar( 'psseo-footer-widgets-2' ); 
                                } 
                            ?>
                        </div>
                        <div class="col-md-3 col-sm-6 col-xs-12">
                            <?php 
                                if( is_active_sidebar( 'psseo-footer-widgets-3' ) ) {
                                   dynamic_sidebar( 'psseo-footer-widgets-3' ); 
                                } 
                            ?>
                        </div>
                        <div class="col-md-3 col-sm-6 col-xs-12">
                            <?php 
                                if( is_active_sidebar( 'psseo-footer-widgets-4' ) ) {
                                   dynamic_sidebar( 'psseo-footer-widgets-4' ); 
                                } 
                            ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="psseo-copy-term clearfix">
                    <div class="col-md-6">
                        <div class="psseo-copy">
                            <p>Powered by <a href="https://wordpress.org/">WordPress</a> | Theme: Page Speed &amp; SEO by <a href="https://www.translatetohindi.net/">Translate</a>.</p>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="psseo-term-priv">
                            <p>
                                <?php 
                                    $FlinkT1 = get_theme_mod( 'psseo_footer_text_field_setting_1', '' );
                                    $FlinkL1 = get_theme_mod( 'psseo_footer_link_field_setting_1', '' );

                                    $FlinkT2 = get_theme_mod( 'psseo_footer_text_field_setting_2', '' );
                                    $FlinkL2 = get_theme_mod( 'psseo_footer_link_field_setting_2', '' );

                                    if( ! empty( $FlinkT1 ) ){
                                        echo '<a href="' . esc_url( $FlinkL1 ) . '">' . esc_html( $FlinkT1 ) . '</a>';
                                    }

                                    if( ! empty( $FlinkT1 ) && ! empty( $FlinkT2 ) ){
                                        echo '<span class="psseo-sep">|</span>';
                                    }
                                
                                    if(! empty( $FlinkT2 )){
                                        echo '<a href="' . esc_url( $FlinkL2 ) . '">' . esc_html( $FlinkT2 ) . '</a>';
                                    }
                                ?>
                                
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </footer>
    <!-- footer -->
<?php wp_footer(); ?>
</body>

</html>

