<?php 
/**
* Kirki theme customize
*
* @package ThemeXL
* @subpackage page-speed-seo
* @since 1.0.0
* @version 1.0.0
*/

if ( !class_exists( 'Kirki' ) ) {
	return;
}

Kirki::add_config( 'psseo_config_customiz', array(
	'capability'    => 'edit_theme_options',
	'option_type'   => 'theme_mod',
) );

Kirki::add_panel( 'psseo_theme_setting_panel', array(
    'priority'    => 10,
    'title'       => esc_html__( 'Theme Setting', 'page-speed-seo' ),
    'description' => esc_html__( 'Theme Setting', 'page-speed-seo' ),
) );

// PRO =======

Kirki::add_section( 'psseo_pro_sec', array(
    'title'          => esc_html__( 'Go Pro', 'page-speed-seo' ),
    'panel'          => 'psseo_theme_setting_panel',
    'priority'       => 160,
) );

Kirki::add_field( 'psseo_pro_theme', array(
	'type'        => 'custom',
	'settings'    => 'psseo_pro_theme_setting',
	'section'     => 'psseo_pro_sec',
	'default'     => '<a href="https://www.themexl.com/wordpress_theme/page_speed_seo_pro" target="_blank" style="text-decoration: none;"><div style="padding: 15px;background-color: #dc3232; color: #fff; border-radius: 5px;"><p style="font-size: 16px; line-height: 1.5; margin: 0;">' . esc_html__( 'Switch to PRO Version & Get More Features.', 'page-speed-seo' ) . ' <span class="dashicons dashicons-arrow-right-alt"></span></p></div></a>',
	'priority'    => 10,
) );

// HOME HEADER TEXT =======

Kirki::add_section( 'psseo_header_text', array(
    'title'          => esc_html__( 'Home Header Text', 'page-speed-seo' ),
    'description'    => esc_html__( 'Add a Hero Text', 'page-speed-seo' ),
    'panel'          => 'psseo_theme_setting_panel',
    'priority'       => 160,
) );

Kirki::add_field( 'psseo_header_text_field', array(
	'type'     => 'text',
	'settings' => 'psseo_header_text_field_setting',
	'label'    => __( 'Home Header Text', 'page-speed-seo' ),
	'section'  => 'psseo_header_text',
	'default'  => esc_html__( 'Page Speed & SEO', 'page-speed-seo' ),
	'priority' => 10,
) );

// LATEST BLOG POSTS =======

Kirki::add_section( 'psseo_blog_post_text', array(
    'title'          => esc_html__( 'Top Blog Post title', 'page-speed-seo' ),
    'description'    => esc_html__( 'Add a Title', 'page-speed-seo' ),
    'panel'          => 'psseo_theme_setting_panel',
    'priority'       => 160,
) );

Kirki::add_field( 'psseo_blog_post_field', array(
	'type'     => 'text',
	'settings' => 'psseo_blog_post_field_setting',
	'label'    => __( 'Latest Blog Posts Title', 'page-speed-seo' ),
	'section'  => 'psseo_blog_post_text',
	'default'  => esc_html__( 'Latest Blog Posts', 'page-speed-seo' ),
	'priority' => 10,
) );

// FOOTER LINK =======

Kirki::add_section( 'psseo_footer_link_text', array(
    'title'          => esc_html__( 'Footer Link', 'page-speed-seo' ),
    'description'    => esc_html__( 'Site Footer Link', 'page-speed-seo' ),
    'panel'          => 'psseo_theme_setting_panel',
    'priority'       => 160,
) );

Kirki::add_field( 'psseo_footer_text_field_1', array(
	'type'     => 'text',
	'settings' => 'psseo_footer_text_field_setting_1',
	'label'    => __( 'Footer Link Text 1', 'page-speed-seo' ),
	'section'  => 'psseo_footer_link_text',
	'default'  => esc_html__( 'Link Text', 'page-speed-seo' ),
	'priority' => 10,
) );

Kirki::add_field( 'psseo_footer_link_field_1', array(
	'type'     => 'text',
	'settings' => 'psseo_footer_link_field_setting_1',
	'label'    => __( 'Footer Link 1', 'page-speed-seo' ),
	'section'  => 'psseo_footer_link_text',
	'default'  => esc_html__( 'URL', 'page-speed-seo' ),
	'priority' => 10,
) );

Kirki::add_field( 'psseo_footer_text_field_2', array(
	'type'     => 'text',
	'settings' => 'psseo_footer_text_field_setting_2',
	'label'    => __( 'Footer Link Text 2', 'page-speed-seo' ),
	'section'  => 'psseo_footer_link_text',
	'default'  => esc_html__( 'Link Text', 'page-speed-seo' ),
	'priority' => 10,
) );

Kirki::add_field( 'psseo_footer_link_field_2', array(
	'type'     => 'text',
	'settings' => 'psseo_footer_link_field_setting_2',
	'label'    => __( 'Footer Link 2', 'page-speed-seo' ),
	'section'  => 'psseo_footer_link_text',
	'default'  => esc_html__( 'URL', 'page-speed-seo' ),
	'priority' => 10,
) );

// Categories =======

Kirki::add_panel( 'psseo_cat_panel', array(
    'priority'    => 10,
    'title'       => esc_html__( 'Category Setting', 'page-speed-seo' ),
    'description' => esc_html__( 'Home Category Setting', 'page-speed-seo' ),
) );

// Category Display Setting =======

Kirki::add_section( 'psseo_categories_display', array(
    'title'          => esc_html__( 'Display Setting', 'page-speed-seo' ),
    'description'    => esc_html__( 'Categories display setting', 'page-speed-seo' ),
    'panel'          => 'psseo_cat_panel',
    'priority'       => 160,
) );

Kirki::add_field( 'psseo_cat_dis_sett', array(
	'type'        => 'checkbox',
	'settings'    => 'psseo_cat_checkbox_setting',
	'label'       => esc_html__( 'Show categories', 'page-speed-seo' ),
	'description' => esc_html__( 'Uncheck to hide categories', 'page-speed-seo' ),
	'section'     => 'psseo_categories_display',
	'default'     => true,
) );

Kirki::add_section( 'psseo_categories_1', array(
    'title'          => esc_html__( 'Category 1', 'page-speed-seo' ),
    'description'    => esc_html__( 'Add Category', 'page-speed-seo' ),
    'panel'          => 'psseo_cat_panel',
    'priority'       => 160,
) );

// Category 1 =======

Kirki::add_field( 'psseo_category_title_1', array(
	'type'     => 'text',
	'settings' => 'psseo_category_title_1_setting',
	'label'    => __( 'Category', 'page-speed-seo' ),
	'section'  => 'psseo_categories_1',
	'default'  => esc_html__( 'Category', 'page-speed-seo' ),
	'priority' => 10,
) );

Kirki::add_field( 'psseo_category_link_1', array(
	'type'     => 'text',
	'settings' => 'psseo_category_link_1_setting',
	'label'    => __( 'Link', 'page-speed-seo' ),
	'section'  => 'psseo_categories_1',
	'default'  => esc_html__( 'URL', 'page-speed-seo' ),
	'priority' => 10,
) );

Kirki::add_field( 'psseo_category_icon_1', array(
	'type'        => 'text',
	'settings'    => 'psseo_glyphicon_setting_1',
	'label'       => esc_html__( 'Glyphicon', 'page-speed-seo' ),
	'description' => esc_html__( 'Bootstrap Glyphicon.', 'page-speed-seo' ),
	'section'     => 'psseo_categories_1',
	'default'     => 'glyphicon glyphicon-star',
) );

// Category 2 =======

Kirki::add_section( 'psseo_categories_2', array(
    'title'          => esc_html__( 'Category 2', 'page-speed-seo' ),
    'description'    => esc_html__( 'Add Category', 'page-speed-seo' ),
    'panel'          => 'psseo_cat_panel',
    'priority'       => 160,
) );

Kirki::add_field( 'psseo_category_title_2', array(
	'type'     => 'text',
	'settings' => 'psseo_category_title_2_setting',
	'label'    => __( 'Category', 'page-speed-seo' ),
	'section'  => 'psseo_categories_2',
	'default'  => esc_html__( 'Category', 'page-speed-seo' ),
	'priority' => 10,
) );

Kirki::add_field( 'psseo_category_link_2', array(
	'type'     => 'text',
	'settings' => 'psseo_category_link_2_setting',
	'label'    => __( 'Link', 'page-speed-seo' ),
	'section'  => 'psseo_categories_2',
	'default'  => esc_html__( 'URL', 'page-speed-seo' ),
	'priority' => 10,
) );

Kirki::add_field( 'psseo_category_icon_2', array(
	'type'        => 'text',
	'settings'    => 'psseo_glyphicon_setting_2',
	'label'       => esc_html__( 'Glyphicon', 'page-speed-seo' ),
	'description' => esc_html__( 'Bootstrap Glyphicon.', 'page-speed-seo' ),
	'section'     => 'psseo_categories_2',
	'default'     => 'glyphicon glyphicon-star',
) );

// Category 3 =======

Kirki::add_section( 'psseo_categories_3', array(
    'title'          => esc_html__( 'Category 3', 'page-speed-seo' ),
    'description'    => esc_html__( 'Add Category', 'page-speed-seo' ),
    'panel'          => 'psseo_cat_panel',
    'priority'       => 160,
) );

Kirki::add_field( 'psseo_category_title_3', array(
	'type'     => 'text',
	'settings' => 'psseo_category_title_3_setting',
	'label'    => __( 'Category', 'page-speed-seo' ),
	'section'  => 'psseo_categories_3',
	'default'  => esc_html__( 'Category', 'page-speed-seo' ),
	'priority' => 10,
) );

Kirki::add_field( 'psseo_category_link_3', array(
	'type'     => 'text',
	'settings' => 'psseo_category_link_3_setting',
	'label'    => __( 'Link', 'page-speed-seo' ),
	'section'  => 'psseo_categories_3',
	'default'  => esc_html__( 'URL', 'page-speed-seo' ),
	'priority' => 10,
) );

Kirki::add_field( 'psseo_category_icon_3', array(
	'type'        => 'text',
	'settings'    => 'psseo_glyphicon_setting_3',
	'label'       => esc_html__( 'Glyphicon', 'page-speed-seo' ),
	'description' => esc_html__( 'Bootstrap Glyphicon.', 'page-speed-seo' ),
	'section'     => 'psseo_categories_3',
	'default'     => 'glyphicon glyphicon-star',
) );

// Category 4 =======

Kirki::add_section( 'psseo_categories_4', array(
    'title'          => esc_html__( 'Category 4', 'page-speed-seo' ),
    'description'    => esc_html__( 'Add Category', 'page-speed-seo' ),
    'panel'          => 'psseo_cat_panel',
    'priority'       => 160,
) );

Kirki::add_field( 'psseo_category_title_4', array(
	'type'     => 'text',
	'settings' => 'psseo_category_title_4_setting',
	'label'    => __( 'Category', 'page-speed-seo' ),
	'section'  => 'psseo_categories_4',
	'default'  => esc_html__( 'Category', 'page-speed-seo' ),
	'priority' => 10,
) );

Kirki::add_field( 'psseo_category_link_4', array(
	'type'     => 'text',
	'settings' => 'psseo_category_link_4_setting',
	'label'    => __( 'Link', 'page-speed-seo' ),
	'section'  => 'psseo_categories_4',
	'default'  => esc_html__( 'URL', 'page-speed-seo' ),
	'priority' => 10,
) );

Kirki::add_field( 'psseo_category_icon_4', array(
	'type'        => 'text',
	'settings'    => 'psseo_glyphicon_setting_4',
	'label'       => esc_html__( 'Glyphicon', 'page-speed-seo' ),
	'description' => esc_html__( 'Bootstrap Glyphicon.', 'page-speed-seo' ),
	'section'     => 'psseo_categories_4',
	'default'     => 'glyphicon glyphicon-star',
) );

// Category 5 =======

Kirki::add_section( 'psseo_categories_5', array(
    'title'          => esc_html__( 'Category 5', 'page-speed-seo' ),
    'description'    => esc_html__( 'Add Category', 'page-speed-seo' ),
    'panel'          => 'psseo_cat_panel',
    'priority'       => 160,
) );

Kirki::add_field( 'psseo_category_title_5', array(
	'type'     => 'text',
	'settings' => 'psseo_category_title_5_setting',
	'label'    => __( 'Category', 'page-speed-seo' ),
	'section'  => 'psseo_categories_5',
	'default'  => esc_html__( 'Category', 'page-speed-seo' ),
	'priority' => 10,
) );

Kirki::add_field( 'psseo_category_link_5', array(
	'type'     => 'text',
	'settings' => 'psseo_category_link_5_setting',
	'label'    => __( 'Link', 'page-speed-seo' ),
	'section'  => 'psseo_categories_5',
	'default'  => esc_html__( 'URL', 'page-speed-seo' ),
	'priority' => 10,
) );

Kirki::add_field( 'psseo_category_icon_5', array(
	'type'        => 'text',
	'settings'    => 'psseo_glyphicon_setting_5',
	'label'       => esc_html__( 'Glyphicon', 'page-speed-seo' ),
	'description' => esc_html__( 'Bootstrap Glyphicon.', 'page-speed-seo' ),
	'section'     => 'psseo_categories_5',
	'default'     => 'glyphicon glyphicon-star',
) );

// Category 6 =======

Kirki::add_section( 'psseo_categories_6', array(
    'title'          => esc_html__( 'Category 6', 'page-speed-seo' ),
    'description'    => esc_html__( 'Add Category', 'page-speed-seo' ),
    'panel'          => 'psseo_cat_panel',
    'priority'       => 160,
) );

Kirki::add_field( 'psseo_category_title_6', array(
	'type'     => 'text',
	'settings' => 'psseo_category_title_6_setting',
	'label'    => __( 'Category', 'page-speed-seo' ),
	'section'  => 'psseo_categories_6',
	'default'  => esc_html__( 'Category', 'page-speed-seo' ),
	'priority' => 10,
) );

Kirki::add_field( 'psseo_category_link_6', array(
	'type'     => 'text',
	'settings' => 'psseo_category_link_6_setting',
	'label'    => __( 'Link', 'page-speed-seo' ),
	'section'  => 'psseo_categories_6',
	'default'  => esc_html__( 'URL', 'page-speed-seo' ),
	'priority' => 10,
) );

Kirki::add_field( 'psseo_category_icon_6', array(
	'type'        => 'text',
	'settings'    => 'psseo_glyphicon_setting_6',
	'label'       => esc_html__( 'Glyphicon', 'page-speed-seo' ),
	'description' => esc_html__( 'Bootstrap Glyphicon.', 'page-speed-seo' ),
	'section'     => 'psseo_categories_6',
	'default'     => 'glyphicon glyphicon-star',
) );
