<?php 
/**
* The template for displaying index page
*
* @package ThemeXL
* @subpackage page-speed-seo
* @since 1.0.0
* @version 1.0.0
*/

get_header(); ?>

<?php 
$getImg = get_header_image();
$headerImg = ! empty( $getImg ) ? $getImg : "";

$getBGimg = get_background_image();
$backgImg = ! empty( $getBGimg ) ? $getBGimg : ""; ?>

        <!-- hero -->
        <section class="psseo-hero lazyload" <?php if( $headerImg != "" ){ ?> data-bgset="<?php echo esc_url( $headerImg ); ?>" <?php } ?>>
            <div class="container">
                <div class="psseo-hero-text">
                    <?php $heroText = get_theme_mod( 'psseo_header_text_field_setting', '' ); ?>
                    <?php if( ! empty( $heroText ) ){
                        echo '<h1>'. esc_html( $heroText ) .'</h1>';
                    } ?>
                </div>
            </div>
        </section>
        <!-- end hero -->

        <?php 
            $catSett = get_theme_mod( 'psseo_cat_checkbox_setting', true );
            if( $catSett === true ):
        ?>
        <!-- categories -->
        <section class="psseo-categories psseo-no-padding">
            <div class="container">
                <div class="row">
                    <div class="psseo-cats clearfix">
                        <?php 
                            $catT1 = get_theme_mod( 'psseo_category_title_1_setting', '' ); 
                            $catL1 = get_theme_mod( 'psseo_category_link_1_setting', '' );
                            $catI1 = get_theme_mod( 'psseo_glyphicon_setting_1', '' );

                            if( !empty($catT1) || !empty($catL1) || !empty($catI1) ):
                        ?>
                        <div class="psseo-cat-item col-md-2 col-sm-4 col-xs-6">
                            <a href="<?php echo esc_url( $catL1 ); ?>">
                                <div class="psseo-cat color-1">
                                    <div class="psseo-cat-icon">
                                        <i class="<?php echo esc_attr( $catI1 ); ?>" aria-hidden="true"></i>
                                        
                                    </div>
                                    <div class="psseo-cat-text">
                                        <h5><?php echo esc_html( $catT1 ); ?></h5>
                                    </div>
                                </div>
                            </a>
                        </div>
                        <?php endif; ?>
                        <?php 
                            $catT2 = get_theme_mod( 'psseo_category_title_2_setting', '' ); 
                            $catL2 = get_theme_mod( 'psseo_category_link_2_setting', '' );
                            $catI2 = get_theme_mod( 'psseo_glyphicon_setting_2', '' );

                            if( !empty($catT2) || !empty($catL2) || !empty($catI2) ):
                        ?>
                        <div class="psseo-cat-item col-md-2 col-sm-4 col-xs-6">
                            <a href="<?php echo esc_url( $catL2 ); ?>">
                                <div class="psseo-cat color-2">
                                    <div class="psseo-cat-icon">
                                        <i class="<?php echo esc_attr( $catI2 ); ?>" aria-hidden="true"></i>
                                    </div>
                                    <div class="psseo-cat-text">
                                        <h5><?php echo esc_html( $catT2 ); ?></h5>
                                    </div>
                                </div>
                            </a>
                        </div>
                        <?php endif; ?>
                        <?php 
                            $catT3 = get_theme_mod( 'psseo_category_title_3_setting', '' ); 
                            $catL3 = get_theme_mod( 'psseo_category_link_3_setting', '' );
                            $catI3 = get_theme_mod( 'psseo_glyphicon_setting_3', '' );

                            if( !empty($catT3) || !empty($catL3) || !empty($catI3) ):
                        ?>
                        <div class="psseo-cat-item col-md-2 col-sm-4 col-xs-6">
                            <a href="<?php echo esc_url( $catL3 ); ?>">
                                <div class="psseo-cat color-3">
                                    <div class="psseo-cat-icon">
                                        <i class="<?php echo esc_attr( $catI3 ); ?>" aria-hidden="true"></i>
                                    </div>
                                    <div class="psseo-cat-text">
                                        <h5><?php echo esc_html( $catT3 ); ?></h5>
                                    </div>
                                </div>
                            </a>
                        </div>
                        <?php endif; ?>
                        <?php 
                            $catT4 = get_theme_mod( 'psseo_category_title_4_setting', '' ); 
                            $catL4 = get_theme_mod( 'psseo_category_link_4_setting', '' );
                            $catI4 = get_theme_mod( 'psseo_glyphicon_setting_4', '' );

                            if( !empty($catT4) || !empty($catL4) || !empty($catI4) ):
                        ?>
                        <div class="psseo-cat-item col-md-2 col-sm-4 col-xs-6">
                            <a href="<?php echo esc_url( $catL4 ); ?>">
                                <div class="psseo-cat color-4">
                                    <div class="psseo-cat-icon">
                                        <i class="<?php echo esc_attr( $catI4 ); ?>" aria-hidden="true"></i>
                                    </div>
                                    <div class="psseo-cat-text">
                                        <h5><?php echo esc_html( $catT4 ); ?></h5>
                                    </div>
                                </div>
                            </a>
                        </div>
                        <?php endif; ?>
                        <?php 
                            $catT5 = get_theme_mod( 'psseo_category_title_5_setting', '' ); 
                            $catL5 = get_theme_mod( 'psseo_category_link_5_setting', '' );
                            $catI5 = get_theme_mod( 'psseo_glyphicon_setting_5', '' );

                            if( !empty($catT5) || !empty($catL5) || !empty($catI5) ):
                        ?>
                        <div class="psseo-cat-item col-md-2 col-sm-4 col-xs-6">
                            <a href="<?php echo esc_url( $catL5 ); ?>">
                                <div class="psseo-cat color-5">
                                    <div class="psseo-cat-icon">
                                        <i class="<?php echo esc_html( $catI5 ); ?>" aria-hidden="true"></i>
                                    </div>
                                    <div class="psseo-cat-text">
                                        <h5><?php echo esc_attr( $catT5 ); ?></h5>
                                    </div>
                                </div>
                            </a>
                        </div>
                        <?php endif; ?>
                        <?php 
                            $catT6 = get_theme_mod( 'psseo_category_title_6_setting', '' ); 
                            $catL6 = get_theme_mod( 'psseo_category_link_6_setting', '' );
                            $catI6 = get_theme_mod( 'psseo_glyphicon_setting_6', '' );

                            if( !empty($catT6) || !empty($catL6) || !empty($catI6) ):
                        ?>
                        <div class="psseo-cat-item col-md-2 col-sm-4 col-xs-6">
                            <a href="<?php echo esc_url( $catL6 ); ?>">
                                <div class="psseo-cat color-6">
                                    <div class="psseo-cat-icon">
                                        <i class="<?php echo esc_attr( $catI6 ); ?>" aria-hidden="true"></i>
                                    </div>
                                    <div class="psseo-cat-text">
                                        <h5><?php echo esc_html( $catT6 ); ?></h5>
                                    </div>
                                </div>
                            </a>
                        </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </section>
        <!-- end categories -->

        <?php endif; ?>

        <!-- blog posts & widget -->
        <section class="psseo-main lazyload" <?php if( $backgImg != "" ){ ?> data-bgset="<?php echo esc_url( $backgImg ); ?>" <?php } ?>>
            <div class="container">
<!--
    ==================================================================================================================================
                                                B L O G  P O S T S
    ==================================================================================================================================
     -->
<?php

$current_page = ( get_query_var( 'paged' ) ? get_query_var( 'paged' ) : 1 );
$total_pages = $wp_query->max_num_pages;

$args = array(
    'total'              => $total_pages,
    'current'            => $current_page,
    'show_all'           => false,
    'end_size'           => 2,
    'mid_size'           => 2,
    'prev_next'          => true,
    'prev_text'          => '<span aria-hidden="true">«</span>',
    'next_text'          => '<span aria-hidden="true">»</span>',
    'type'               => 'array',
);
$paginate_links = paginate_links( $args ); 

$BPtitle = get_theme_mod( 'psseo_blog_post_field_setting', '' );
?>
        <?php if( !empty($BPtitle) ): ?>
        <div class="psseo-main-title">
            <h1><?php echo esc_html( $BPtitle ); ?></h1>
        </div>
        <?php endif; ?>

        <div class="row">
            <div class="col-md-8 col-sm-12 col-xm-12">
                <div class="psseo-blog-posts">
                    <?php 
                        if( have_posts() ):
                            while( have_posts()):
                                the_post();
                    ?>
                    <div id="post-<?php the_ID(); ?>" <?php post_class( 'psseo-blog-post clearfix' ); ?>>
                        <?php if( has_post_thumbnail() ): ?>
                        <div class="psseo-post-img">
                            <?php $postThumbnail = wp_get_attachment_url( get_post_thumbnail_id( get_the_ID() ) ); ?>
                            <img class="lazyload" data-src="<?php echo esc_url( $postThumbnail ); ?>" >
                            <div class="psseo-meta-data">
                                <span class="psseo-meta psseo-meta-cat"><a href="javascript:void(0);"><?php the_category( ', ' ); ?></a></span>
                                <span class="psseo-meta psseo-meta-user-date"><i class="glyphicon glyphicon-user" aria-hidden="true"></i> <a href="javascript:void(0);"><?php the_author(); ?></a> <i class="glyphicon glyphicon-time" aria-hidden="true"></i> <?php echo get_the_date( 'M.d.Y' ); ?></span>
                            </div>
                        </div>
                        <?php endif; ?>
                        <div class="psseo-post-content">
                            <div class="psseo-post-title">
                                <a href="<?php echo esc_url( get_the_permalink() ); ?>">
                                    <h2><?php the_title(); ?></h2>
                                </a>
                            </div>
                            <div class="psseo-post-exc">
                                <a href="<?php echo esc_url( get_the_permalink() ); ?>">
                                    <?php the_excerpt(); ?>
                                </a>
                            </div>
                        </div>
                    </div>

                    <?php endwhile; ?>

                    <?php else : echo '<div class="col-md-12"><h2>'.__( 'Sorry no posts found.', 'page-speed-seo' ).'</h2></div>'; ?>

                    <?php endif; ?>

                    <?php if( ! empty( $paginate_links ) ): ?>
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <div class="psseo-more">
                            <ul class="psseo-pagination">
                                <?php echo page_speed_seo_paginate_links($paginate_links); ?>
                            </ul>
                        </div>
                    </div>
                    <?php endif; ?>

                    <?php // wp_reset_postdata(); ?>
                </div>
            </div>
            <!-- end blog post -->
            <!-- widget -->
            <div class="col-md-4 col-sm-12 col-xs-12">
                <div class="row">
                    <?php get_sidebar(); ?>
                </div>
            </div>
            <!-- end widget -->
        </div>
    </div>
</section>
<!-- end blog posts & widget -->

<?php get_footer(); ?>